> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /new_mexico/companies

> Get full New Mexico business details from the Secretary of State registry by business ID: name, status, initial filing date, entity type and sub-type, jurisdiction of formation, annual report due date, registered agent (name and address), officers, directors, organizers, members, managers and partners (name and role) and alternate and other business names.

**Price:** 1 credit

**⚠️ Common errors:** 412: Business not found (well-formed but nonexistent business ID)



## OpenAPI

````yaml /openapi/company-registries.json post /api/new_mexico/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/new_mexico/companies:
    post:
      tags:
        - US
      summary: /new_mexico/companies
      description: >-
        Get full New Mexico business details from the Secretary of State
        registry by business ID: name, status, initial filing date, entity type
        and sub-type, jurisdiction of formation, annual report due date,
        registered agent (name and address), officers, directors, organizers,
        members, managers and partners (name and role) and alternate and other
        business names.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Business not found (well-formed but
        nonexistent business ID)
      operationId: __api_new_mexico_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewMexicoCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NewMexicoCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NewMexicoCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        record_num:
          type: string
          minLength: 1
      type: object
      required:
        - record_num
    NewMexicoCompany:
      properties:
        '@type':
          type: string
          default: NewMexicoCompany
        record_num:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        initial_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity_type:
          anyOf:
            - type: string
            - type: 'null'
        entity_sub_type:
          anyOf:
            - type: string
            - type: 'null'
        formed_in:
          anyOf:
            - type: string
            - type: 'null'
        annual_report_due_date:
          anyOf:
            - type: string
            - type: 'null'
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/NewMexicoRegisteredAgent'
            - type: 'null'
        officers:
          items:
            $ref: '#/components/schemas/NewMexicoPerson'
          type: array
          default: []
        alternate_names:
          items:
            type: string
          type: array
          default: []
        other_names:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - record_num
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NewMexicoRegisteredAgent:
      properties:
        '@type':
          type: string
          default: NewMexicoRegisteredAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NewMexicoPerson:
      properties:
        '@type':
          type: string
          default: NewMexicoPerson
        name:
          type: string
        role:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````